Retrieve list of jobs matching provided filter.
The iTwinId in filter is optional. If it is not provided, this will return jobs created by the same user. However, if the iTwinId is provided and the user has access to it, this will return jobs associated with that specific iTwin.
Authentication
Requires Authorization header with valid Bearer token for scope itwin-platform.
For more documentation on authorization and how to get access token visit OAUTH2 Authorization page.
Request parameters
The $filter query option requests a specific set of jobs.
The given filter is evaluated for each job and only job where the filter evaluates to true are returned.
Properties supported for filtering: id, iTwinId, name, email, type, state, createdDateTime, inputId, outputId.
Supported operators: eq, lt, le, gt, ge, ne, in, and, or.
Samples of $filter values:
$filter=iTwinId eq dc720f05-e5f7-448b-ae06-765de46f0af1
$filter=inputId in ('482b2968-6a85-4e50-b05c-8acbf828c1bd', '14c03448-bea0-4d76-b53b-4b20bd3f4cbc')
$filter=id eq 9e2d27cf-b695-47e9-b7f0-0d47dc3b88ad
$filter=createdDateTime gt 2024-06-24T13:00:00Z
Parameter that enables continuing to the next page of the previous paged query. This must be passed exactly as it is in the response body's _links.next property.
The number of reality conversion jobs to get in each page. Max 1000, but 100 is the default if this parameter is not included.
Request headers
OAuth access token with itwin-platform scope
Setting to application/vnd.bentley.itwin-platform.v2+json is recommended.
Response 200 OK
OK
{ "jobs": [{ "id": "eba823ca-f8e3-4ebb-be5f-6bc77aadbe14", "state": "Success", "userId": "e263a543-db55-4fa5-8a4e-69b9cfcf6c59", "executionInfo": { "startedDateTime": "2026-04-01T09:56:14Z", "endedDateTime": "2026-04-01T10:07:49Z", "createdDateTime": "2026-04-01T09:48:28Z", "processingUnits": 0 }, "specifications": { "inputs": { "pointcloud": "b8bdeba4-a4a6-42d7-b81a-a22f892707a2" }, "output": "4a770816-f9b0-45e5-9b8c-143269d687ac", "options": { "outputFormat": "opc" } }, "name": "Unified Job- PC Conversion", "type": "PointCloudConversion", "iTwinId": "2c8e4988-eb9b-4e5f-a903-8c7c18f3030a" }, { "id": "f2257da7-1c9d-4599-811d-db8aa139c1ac", "state": "Failed", "userId": "e263a543-db55-4fa5-8a4e-69b9cfcf6c59", "executionInfo": { "startedDateTime": "2026-04-01T09:56:14Z", "endedDateTime": "2026-04-01T10:02:00Z", "createdDateTime": "2026-04-01T09:50:33Z", "processingUnits": 0 }, "specifications": { "inputs": { "pointclouds": ["fc2746d5-7b62-4f00-9a88-1bfaa22475d7"] }, "output": "62869765-1031-470f-9730-15ef7aac8adb", "options": { "outputFormat": "3DTilesPNTS" } }, "name": "Unified Job- PCOptimization", "type": "PointCloudOptimization", "iTwinId": "2c8e4988-eb9b-4e5f-a903-8c7c18f3030a" }], "_links": { "next": { "href": "https://api.bentley.com/reality-conversion/jobs?$filter=iTwinId%20eq%203fa85f64-5717-4562-b3fc-2c963f66afa6&continuationToken=MzY3ZmY1ZDEtNDEzOS00ZGU1LTg0MjMtN2I5NmVkZDAyN2M0" } } }
Response 400 Bad Request
The 400 (Bad Request) status code indicates that the request cannot be processed by the server due to a client error (e.g. malformed request syntax).
{ "error": { "code": "InvalidRealityConversionRequest", "message": "Cannot find jobs.", "details": [{ "code": "InvalidParameter", "message": "The $top query parameter value must be a positive integer that does not exceed 1000.", "target": "$top" }] } }
Response 401 Unauthorized
This response indicates that request lacks valid authentication credentials. Access token might not been provided, issued by the wrong issuer, does not have required scopes or request headers were malformed.
{ "error": { "code": "HeaderNotFound", "message": "Header Authorization was not found in the request. Access denied." } }
Response 404 Not Found
Not Found
{ "error": { "code": "iTwinNotFound", "message": "Requested iTwin is not available." } }
Response 429 Too many requests
This response indicates that the client sent more requests than allowed by this API for the current tier of the client.
{ "error": { "code": "RateLimitExceeded", "message": "The client sent more requests than allowed by this API for the current tier of the client." } }
Response headers
Number of seconds to wait until client is allowed to make more requests.
Job State
Job current state.
{ "title": "Job State", "enum": [ "Queued", "Active", "TerminatingOnCancel", "TerminatingOnFailure", "Cancelled", "Failed", "Success" ], "type": "string", "description": "Job current state." }
Execution Information
Execution information of a job.
Creation time of the job.
Start time of the job.
End time of the job.
The number of processing units consumed by the job.
{ "title": "Execution Information", "required": [ "createdDateTime" ], "type": "object", "properties": { "createdDateTime": { "type": "string", "description": "Creation time of the job.", "format": "date-time" }, "startedDateTime": { "type": "string", "description": "Start time of the job.", "format": "date-time", "default": null, "nullable": true }, "endedDateTime": { "type": "string", "description": "End time of the job.", "format": "date-time", "default": null, "nullable": true }, "processingUnits": { "type": "number", "description": "The number of processing units consumed by the job.", "default": null, "nullable": true } }, "additionalProperties": false, "description": "Execution information of a job." }
PointCloud Conversion Inputs
Reality data Id of point cloud to convert
{ "title": "PointCloud Conversion Inputs", "required": [ "pointCloud" ], "type": "object", "properties": { "pointCloud": { "title": "pointCloud", "type": "string", "description": "Reality data Id of point cloud to convert" } }, "additionalProperties": false }
PointCloud Conversion Format
{ "title": "PointCloud Conversion Format", "enum": [ "OPC", "3DTilesPNTS", "3DTilesGLBC", "LAS", "LAZ", "E57", "POD" ], "type": "string" }
PointCloud Conversion Options
CRS for the input data
CRS for the output data
{ "title": "PointCloud Conversion Options", "type": "object", "properties": { "outputFormat": { "type": "string", "allOf": [ { "$ref": "#/components/schemas/PCConversionFormat" } ], "description": "Output format for the conversion.", "nullable": true }, "inputCrs": { "type": "string", "description": "CRS for the input data", "nullable": true }, "outputCrs": { "type": "string", "description": "CRS for the output data", "nullable": true } }, "additionalProperties": false }
PointCloud Conversion Specifications
Specifications for PointCloud Conversion.
Reality Data id of the converted point cloud
{ "title": "PointCloud Conversion Specifications", "required": [ "inputs", "output" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/PCConversionInputs" }, "output": { "title": "output", "type": "string", "description": "Reality Data id of the converted point cloud" }, "options": { "allOf": [ { "$ref": "#/components/schemas/PCConversionOptions" } ], "description": "Options", "nullable": true } }, "additionalProperties": false, "description": "Specifications for PointCloud Conversion." }
PointCloud Optimization Inputs
Reality data Ids of point cloud(s) to convert
{ "title": "PointCloud Optimization Inputs", "required": [ "pointClouds" ], "type": "object", "properties": { "pointClouds": { "type": "array", "items": { "type": "string" }, "description": "Reality data Ids of point cloud(s) to convert" } }, "additionalProperties": false }
PointCloud Optimization Format
{ "title": "PointCloud Optimization Format", "enum": [ "OPC", "3DTilesPNTS", "3DTilesGLBC", "LAS", "LAZ", "E57", "POD" ], "type": "string" }
PointCloud Optimization Options
CRS for the input data
CRS for the output data
{ "title": "PointCloud Optimization Options", "type": "object", "properties": { "outputFormat": { "type": "string", "allOf": [ { "$ref": "#/components/schemas/PCOptimizationFormat" } ], "description": "Output format for the conversion.", "nullable": true }, "inputCrs": { "type": "string", "description": "CRS for the input data", "nullable": true }, "outputCrs": { "type": "string", "description": "CRS for the output data", "nullable": true } }, "additionalProperties": false }
PointCloud Optimization Specifications
Specifications for PointCloud Optimization.
Reality Data id of the converted point cloud
{ "title": "PointCloud Optimization Specifications", "required": [ "inputs", "output" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/PCOptimizationInputs" }, "output": { "title": "output", "type": "string", "description": "Reality Data id of the converted point cloud" }, "options": { "allOf": [ { "$ref": "#/components/schemas/PCOptimizationOptions" } ], "description": "Options", "nullable": true } }, "additionalProperties": false, "description": "Specifications for PointCloud Optimization." }
TileMap Optimization Inputs
Reality data Ids of tile maps to convert
{ "title": "TileMap Optimization Inputs", "required": [ "tileMaps" ], "type": "object", "properties": { "tileMaps": { "type": "array", "items": { "type": "string" }, "description": "Reality data Ids of tile maps to convert" } }, "additionalProperties": false }
TileMap Optimization Format
{ "title": "TileMap Optimization Format", "enum": [ "XYZTileMap" ], "type": "string" }
TileMap Image Format
{ "title": "TileMap Image Format", "enum": [ "JPG", "PNG" ], "type": "string" }
TileMap Optimization Options
CRS for the input data
CRS for the output data
Top level of the tile map to generate.
Bottom level of the tile map to generate.
Quality of JPG tiles to generate
Background color to use for tiles
{ "title": "TileMap Optimization Options", "type": "object", "properties": { "outputFormat": { "type": "string", "allOf": [ { "$ref": "#/components/schemas/TileMapOptimizationFormat" } ], "description": "Output format for the conversion.", "nullable": true }, "inputCrs": { "type": "string", "description": "CRS for the input data", "nullable": true }, "outputCrs": { "type": "string", "description": "CRS for the output data", "nullable": true }, "topLevel": { "type": "integer", "description": "Top level of the tile map to generate.", "nullable": true }, "bottomLevel": { "type": "integer", "description": "Bottom level of the tile map to generate.", "nullable": true }, "imageFormat": { "type": "string", "allOf": [ { "$ref": "#/components/schemas/TileMapImageFormat" } ], "description": "Image format", "nullable": true }, "jpgQuality": { "maximum": 99, "minimum": 10, "type": "integer", "description": "Quality of JPG tiles to generate", "nullable": true }, "backgroundColor": { "pattern": "^#[a-fA-F0-9]{6}$", "type": "string", "description": "Background color to use for tiles", "nullable": true } }, "additionalProperties": false }
TileMap Optimization Specifications
Specifications for TileMap Optimization.
Reality Data id of the tile map
{ "title": "TileMap Optimization Specifications", "required": [ "inputs", "output" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/TileMapOptimizationInputs" }, "output": { "title": "output", "type": "string", "description": "Reality Data id of the tile map" }, "options": { "allOf": [ { "$ref": "#/components/schemas/TileMapOptimizationOptions" } ], "description": "Options", "nullable": true } }, "additionalProperties": false, "description": "Specifications for TileMap Optimization." }
Vector Optimization Inputs
Reality data Ids of vectors to consolidate
{ "title": "Vector Optimization Inputs", "required": [ "vectors" ], "type": "object", "properties": { "vectors": { "title": "vectors", "type": "array", "items": { "type": "string" }, "description": "Reality data Ids of vectors to consolidate" } }, "additionalProperties": false }
Vector Optimization Format
{ "title": "Vector Optimization Format", "enum": [ "GeoJSON", "FeatureDB" ], "type": "string" }
Vector Optimization Options
CRS for the input data
CRS for the output data
Feature class name
{ "title": "Vector Optimization Options", "type": "object", "properties": { "outputFormat": { "type": "string", "allOf": [ { "$ref": "#/components/schemas/VectorOptimizationFormat" } ], "description": "Output format for the conversion.", "nullable": true }, "inputCrs": { "type": "string", "description": "CRS for the input data", "nullable": true }, "outputCrs": { "type": "string", "description": "CRS for the output data", "nullable": true }, "featureClassDisplayName": { "type": "string", "description": "Feature class name", "nullable": true } }, "additionalProperties": false }
Vector Optimization Specifications
Specifications for Vector Optimization.
Reality Data id of the vector data or Feature DB index (fdb:)
{ "title": "Vector Optimization Specifications", "required": [ "inputs", "output" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/VectorOptimizationInputs" }, "output": { "title": "output", "type": "string", "description": "Reality Data id of the vector data or Feature DB index (fdb:)" }, "options": { "allOf": [ { "$ref": "#/components/schemas/VectorOptimizationOptions" } ], "description": "Options", "nullable": true } }, "additionalProperties": false, "description": "Specifications for Vector Optimization." }
Mesh Sampling Inputs
Reality data Ids of meshes to sample
{ "title": "Mesh Sampling Inputs", "required": [ "meshes" ], "type": "object", "properties": { "meshes": { "title": "meshes", "type": "array", "items": { "type": "string" }, "description": "Reality data Ids of meshes to sample" } }, "additionalProperties": false }
MeshSamplingFormat
{ "title": "MeshSamplingFormat", "enum": [ "OPC", "3DTilesPNTS", "3DTilesGLBC", "LAS", "LAZ", "E57", "POD" ], "type": "string" }
Mesh Sampling Options
CRS for the input data
CRS for the output data
Sampling value in meter
{ "title": "Mesh Sampling Options", "type": "object", "properties": { "outputFormat": { "type": "string", "allOf": [ { "$ref": "#/components/schemas/MeshSamplingFormat" } ], "description": "Output format for the conversion.", "nullable": true }, "inputCrs": { "type": "string", "description": "CRS for the input data", "nullable": true }, "outputCrs": { "type": "string", "description": "CRS for the output data", "nullable": true }, "sampling": { "type": "number", "description": "Sampling value in meter", "nullable": true } }, "additionalProperties": false }
Mesh Sampling Specifications
Specifications for Mesh Sampling.
Reality Data id of the sampled point cloud
{ "title": "Mesh Sampling Specifications", "required": [ "inputs", "output" ], "type": "object", "properties": { "inputs": { "$ref": "#/components/schemas/MeshSamplingInputs" }, "output": { "title": "output", "type": "string", "description": "Reality Data id of the sampled point cloud" }, "options": { "allOf": [ { "$ref": "#/components/schemas/MeshSamplingOptions" } ], "description": "Options", "nullable": true } }, "additionalProperties": false, "description": "Specifications for Mesh Sampling." }
Job Types
Supported job types
{ "title": "Job Types", "enum": [ "PointCloudConversion", "PointCloudOptimization", "TileMapOptimization", "VectorOptimization", "MeshSampling" ], "description": "Supported job types" }
Job
Job information.
Unique id of the job.
Identifier of the user that created the job.
List of inputs, outputs and options for the job, must be in sync with the type.
Name of the job.
iTwin Id for the job.
{ "title": "Job", "required": [ "iTwinId", "specifications", "type", "executionInfo", "id", "state", "userId" ], "type": "object", "properties": { "id": { "type": "string", "description": "Unique id of the job." }, "state": { "$ref": "#/components/schemas/JobState" }, "userId": { "type": "string", "description": "Identifier of the user that created the job." }, "executionInfo": { "$ref": "#/components/schemas/ExecutionInformation" }, "specifications": { "anyOf": [ { "$ref": "#/components/schemas/PointCloudConversionSpecifications" }, { "$ref": "#/components/schemas/PointCloudOptimizationSpecifications" }, { "$ref": "#/components/schemas/TileMapOptimizationSpecifications" }, { "$ref": "#/components/schemas/VectorOptimizationSpecifications" }, { "$ref": "#/components/schemas/MeshSamplingSpecifications" } ], "description": "List of inputs, outputs and options for the job, must be in sync with the type." }, "name": { "maxLength": 256, "minLength": 3, "pattern": "^([^\"<>|:*?\\\\/\\u0000-\\u001f])+$", "type": "string", "description": "Name of the job.", "default": null, "nullable": true }, "type": { "$ref": "#/components/schemas/JobTypes" }, "iTwinId": { "type": "string", "description": "iTwin Id for the job." } }, "additionalProperties": false, "description": "Job information." }
Link
The URL.
{ "required": [ "href" ], "type": "object", "properties": { "href": { "type": "string", "description": "The URL." } }, "additionalProperties": false }
Next Page Link
URL for getting the next page of data, if applicable.
{ "title": "Next Page Link", "type": "object", "properties": { "next": { "$ref": "#/components/schemas/Link" } }, "additionalProperties": false, "description": "URL for getting the next page of data, if applicable." }
Reality Conversion Jobs
Jobs
{ "title": " Reality Conversion Jobs", "type": "object", "properties": { "jobs": { "type": "array", "items": { "$ref": "#/components/schemas/Job" }, "description": "Array of jobs" }, "_links": { "$ref": "#/components/schemas/next-page-link" } }, "additionalProperties": false, "description": "Jobs" }
Error
Contains error information.
One of a server-defined set of error codes.
A human-readable representation of the error.
The target of the error.
{ "required": [ "code", "message" ], "type": "object", "properties": { "code": { "type": "string", "description": "One of a server-defined set of error codes." }, "message": { "type": "string", "description": "A human-readable representation of the error." }, "target": { "type": "string", "description": "The target of the error.", "nullable": true } }, "description": "Contains error information." }
DetailedError
Contains error information and an array of more specific errors.
One of a server-defined set of error codes.
A human-readable representation of the error.
The target of the error.
{ "required": [ "code", "message", "details" ], "type": "object", "properties": { "code": { "type": "string", "description": "One of a server-defined set of error codes." }, "message": { "type": "string", "description": "A human-readable representation of the error." }, "target": { "type": "string", "description": "The target of the error.", "nullable": true }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/Error" }, "description": "Optional array of more specific errors." } }, "description": "Contains error information and an array of more specific errors." }
Detailed Error Response
Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed.
{ "title": "Detailed Error Response", "required": [ "error" ], "type": "object", "properties": { "error": { "$ref": "#/components/schemas/DetailedError" } }, "additionalProperties": false, "description": "Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed." }
Error Response
Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed.
{ "title": "Error Response", "required": [ "error" ], "type": "object", "properties": { "error": { "$ref": "#/components/schemas/Error" } }, "additionalProperties": false, "description": "Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed." }
Was this page helpful?